## mx4j.tools.adaptor.rmi
Interface RMIAdaptorMBean

All Known Subinterfaces:
  IIOPAdaptorMBean, JRMPAdaptorMBean

All Known Implementing Classes:
  IIOPAdaptor, JRMPAdaptor, RMIAdaptor

public interface RMIAdaptorMBean

Management interface for the RMIAdaptor MBean.

Version:
  $Revision: 1.3 $

Method Summary
`void` `clearJNDIProperties()` Resets the JNDI properties set for this adaptor.
`void` `clearNamingProperties()` Deprecated. Replaced by {link #clearJNDIProperties}
`java.lang.String` `getHostAddress()` Returns the host address on which this adaptor is running
`java.lang.String` `getHostName()` Returns the host name on which this adaptor is running
`java.lang.String` `getJNDIName()` Returns the JNDI name under which this RMI Adaptor is registered
`java.util.Properties` `getJNDIProperties()` Returns the JNDI properties for this adaptor.
`java.util.Properties` `getNamingProperties()` Deprecated. Replaced by {link #getJNDIProperties}
`java.lang.String` `getProtocol()` Returns the protocol of this adaptor
`boolean` `isRunning()` Returns whether this adaptor has been started and not been stopped.
`void` `putJNDIProperty(java.lang.Object property, java.lang.Object value)` Puts a JNDI property in the environment for the JNDI Initial Context used by this adaptor.
`void` `putNamingProperty(java.lang.Object property, java.lang.Object value)` Deprecated. Replaced by {link #putJNDIProperty}
`void` `setJNDIName(java.lang.String name)` Sets the JNDI name under which the RMI adaptor should be registered.
`void` `start()` Starts this adaptor, so that it can accept incoming calls
`void` `stop()` Stops this adaptor, so that it does not accept incoming calls anymore

Method Detail

### start

    public void start()
               throws java.lang.Exception

  Starts this adaptor, so that it can accept incoming calls

  Throws:
    `java.lang.Exception`
  See Also:
    `stop()`, `isRunning()`

### stop

    public void stop()
              throws java.lang.Exception

  Stops this adaptor, so that it does not accept incoming calls anymore

  Throws:
    `java.lang.Exception`
  See Also:
    `start()`

### isRunning

    public boolean isRunning()

  Returns whether this adaptor has been started and not been stopped.

  See Also:
    `stop()`

### getProtocol

    public java.lang.String getProtocol()

  Returns the protocol of this adaptor

### getJNDIName

    public java.lang.String getJNDIName()

  Returns the JNDI name under which this RMI Adaptor is registered

### setJNDIName

    public void setJNDIName(java.lang.String name)

  Sets the JNDI name under which the RMI adaptor should be registered.
  This method can be called only if this adaptor is not running.

### putJNDIProperty

    public void putJNDIProperty(java.lang.Object property,
                                java.lang.Object value)

  Puts a JNDI property in the environment for the JNDI Initial Context used by this adaptor.
  This method can be called only if this adaptor is not running.

  See Also:
    `clearJNDIProperties()`

### putNamingProperty

    public void putNamingProperty(java.lang.Object property,
                                  java.lang.Object value)

  Deprecated. Replaced by {link #putJNDIProperty}

### clearJNDIProperties

    public void clearJNDIProperties()

  Resets the JNDI properties set for this adaptor.
  This method can be called only if this adaptor is not running.

  See Also:
    `putJNDIProperty(java.lang.Object, java.lang.Object)`

### clearNamingProperties

    public void clearNamingProperties()

  Deprecated. Replaced by {link #clearJNDIProperties}

### getJNDIProperties

    public java.util.Properties getJNDIProperties()

  Returns the JNDI properties for this adaptor.

  See Also:
    `putJNDIProperty(java.lang.Object, java.lang.Object)`

### getNamingProperties

    public java.util.Properties getNamingProperties()

  Deprecated. Replaced by {link #getJNDIProperties}

### getHostName

    public java.lang.String getHostName()

  Returns the host name on which this adaptor is running

### getHostAddress

    public java.lang.String getHostAddress()

  Returns the host address on which this adaptor is running

Copyright © 2001-2003 MX4J Team. All Rights Reserved.